<?php

require_once 'ultima-db.inc.php';


// Connect to DB (may be stored somewhere like $GLOBALS or your core singletone)
$db = new uCoreDatabase(array(
	'host' => 'localhost',
	'port' => 3306,
	'user' => 'root',
	'pass' => 'password',
	'name' => 'testdb',
));

// Example 1 - You can use count() and [index] to access result (like as normal arrays)
$r = $db->sql('select * from `users` where active != 0 order by id asc limit 0, 5');

// Get first element
var_dump($r[0]);

// Get 3rd element
var_dump($r[2]);

// Get last element
var_dump($r[count($r) - 1]);


// Example 2 - You can use foreach() to iterate through elements
// remember - there is no need to reset cursor

foreach ($r as $k => $d) {
	echo $k.' - '.$d['first_name']."<br>\n";
}

// Example 3 - You can use asArray() to get result as an array

var_dump($r->asArray());


// Example 4 - You can use result as inserted id when using insert.

$id = $db->sql('insert into `users` set first_name = "Ivan"');

echo 'Inserted ID = '.$id."<br>\n";

// Example 5 - If you are reset/each adept, you can use it as well

reset($r);
while (list($k, $d) = each($r)) {
	echo $k.' - '.$d['first_name']."<br>\n";
}

